<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::gui::LayoutPosition Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1gui_1_1_layout_position.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1gui_1_1_layout_position-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::gui::LayoutPosition Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to define a position in a layout on the ground station.  
 <a href="classframework_1_1gui_1_1_layout_position.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_layout_position_8h_source.html">LayoutPosition.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9d6d0b3a4ee781014f54629b04332f6d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_layout_position.html#a9d6d0b3a4ee781014f54629b04332f6d">LayoutPosition</a> (const <a class="el" href="classframework_1_1gui_1_1_layout.html">Layout</a> *layout, int16_t row, int16_t col)</td></tr>
<tr class="memdesc:a9d6d0b3a4ee781014f54629b04332f6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9d6d0b3a4ee781014f54629b04332f6d">More...</a><br /></td></tr>
<tr class="separator:a9d6d0b3a4ee781014f54629b04332f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b98bbdc87c03f46b849b2e888d07ee3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_layout_position.html#a3b98bbdc87c03f46b849b2e888d07ee3">~LayoutPosition</a> ()</td></tr>
<tr class="memdesc:a3b98bbdc87c03f46b849b2e888d07ee3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3b98bbdc87c03f46b849b2e888d07ee3">More...</a><br /></td></tr>
<tr class="separator:a3b98bbdc87c03f46b849b2e888d07ee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bad7638aa164ba454f325cf5e11db02"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1gui_1_1_layout.html">Layout</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_layout_position.html#a6bad7638aa164ba454f325cf5e11db02">getLayout</a> (void) const </td></tr>
<tr class="memdesc:a6bad7638aa164ba454f325cf5e11db02"><td class="mdescLeft">&#160;</td><td class="mdescRight">get <a class="el" href="classframework_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a>  <a href="#a6bad7638aa164ba454f325cf5e11db02">More...</a><br /></td></tr>
<tr class="separator:a6bad7638aa164ba454f325cf5e11db02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac4c87220b77f0ea75cab13c28b3189"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_layout_position.html#a8ac4c87220b77f0ea75cab13c28b3189">Row</a> (void) const </td></tr>
<tr class="memdesc:a8ac4c87220b77f0ea75cab13c28b3189"><td class="mdescLeft">&#160;</td><td class="mdescRight">get row  <a href="#a8ac4c87220b77f0ea75cab13c28b3189">More...</a><br /></td></tr>
<tr class="separator:a8ac4c87220b77f0ea75cab13c28b3189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a584a4f9c44b8dccdf03ba0fe492ebd2f"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_layout_position.html#a584a4f9c44b8dccdf03ba0fe492ebd2f">Col</a> (void) const </td></tr>
<tr class="memdesc:a584a4f9c44b8dccdf03ba0fe492ebd2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">get col  <a href="#a584a4f9c44b8dccdf03ba0fe492ebd2f">More...</a><br /></td></tr>
<tr class="separator:a584a4f9c44b8dccdf03ba0fe492ebd2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to define a position in a layout on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9d6d0b3a4ee781014f54629b04332f6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::gui::LayoutPosition::LayoutPosition </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1gui_1_1_layout.html">Layout</a> *&#160;</td>
          <td class="paramname"><em>layout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1gui_1_1_layout_position.html" title="Class to define a position in a layout on the ground station. ">LayoutPosition</a>, in given <a class="el" href="classframework_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a> at given place.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">layout</td><td>layout </td></tr>
    <tr><td class="paramname">row</td><td>row position </td></tr>
    <tr><td class="paramname">col</td><td>col position </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3b98bbdc87c03f46b849b2e888d07ee3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::gui::LayoutPosition::~LayoutPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6bad7638aa164ba454f325cf5e11db02"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classframework_1_1gui_1_1_layout.html">Layout</a>* framework::gui::LayoutPosition::getLayout </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get <a class="el" href="classframework_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a> </p>
<dl class="section return"><dt>Returns</dt><dd>the parent <a class="el" href="classframework_1_1gui_1_1_layout.html" title="Abstract class to display a layout on the ground station. ">Layout</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a8ac4c87220b77f0ea75cab13c28b3189"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t framework::gui::LayoutPosition::Row </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get row </p>
<dl class="section return"><dt>Returns</dt><dd>row position </dd></dl>

</div>
</div>
<a class="anchor" id="a584a4f9c44b8dccdf03ba0fe492ebd2f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t framework::gui::LayoutPosition::Col </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get col </p>
<dl class="section return"><dt>Returns</dt><dd>col position </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
